%global realname eradius
%global upstream lemenkov
%global debug_package %{nil}
%global git_tag 489da90
%global patchnumber 0


Name:		erlang-%{realname}
Version:	0.8.7
Release:	6%{?dist}
Summary:	RADIUS authentication/accounting for erlang apps
Group:		Development/Languages
License:	MIT
URL:		https://github.com/lemenkov/eradius
# wget --content-disposition https://github.com/lemenkov/eradius/tarball/0.8.7
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-rebar
BuildRequires:	python
Requires:	erlang-erts%{?_isa}
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-mnesia%{?_isa}
Requires:	erlang-stdlib%{?_isa}


%description
RADIUS authentication/accounting for erlang apps.


%prep
%setup -q -n %{upstream}-%{realname}-%{git_tag}


%build
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
install -D -m 0755 priv/make_dict.py %{buildroot}%{_bindir}/eradius_make_dict


%clean
rm -rf %{buildroot}


%files
%doc MIT_LICENSE doc/*.erl
%{_bindir}/eradius_make_dict
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/*.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/dictionary*.map


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Sep 01 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.8.7-4
- Added missing build-requires on python

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Oct 11 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.8.7-1
- Ver.0.8.7 (API compatible)

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 31 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.8.5-1
- Ver. 0.8.5 (bugfix release)

* Mon Oct 03 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.8.4-1
- Ver. 0.8.4

* Thu Sep 15 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.8.3-1
- Ver. 0.8.3

* Wed Sep 14 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.8.2-1
- Ver. 0.8.2

* Tue Sep 13 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.8.1-1
- Ver. 0.8.1

* Tue Sep 13 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.8.0-1
- Ver. 0.8.0

* Fri Sep 09 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.7.0-2
- Added missing BuildRequires

* Fri Sep 09 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.7.0-1
- Ver. 0.7.0

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.20070627cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 28 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.7.20070627cvs
- Narrow list of BuildRequires

* Mon Jul 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.6.20070627cvs
- Narrow list of runtime requirements
- Rebuild for new Erlang/OTP R14A

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.20070627cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 10 2009 Peter Lemenkov <lemenkov@gmail.com> - 0-0.4.20070627cvs
- Changed naming scheme

* Mon Jul  6 2009 Peter Lemenkov <lemenkov@gmail.com> - 0-0.3.cvs20070627
- Proper versioning scheme
- Added two missing header-files
- Fixed permissions for MIT_LICENSE and eradius_server.erl

* Tue Apr 21 2009 Peter Lemenkov <lemenkov@gmail.com> - 0-0.2
- Get rid of unnecessary source files

* Wed Mar 25 2009 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1
- initial build

